/* HEADER */

header {
    min-height: 100svh;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
}
header::before{
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background-color: rgba(44, 40, 41, 0.4); /* #2C2829 rengi, %40 opaklık */
    z-index: 0;
}
.header-container {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 5px;
    height: 100svh;
    color: white;
    padding-bottom: 150px;
}
.header-content {
    position: relative;
    user-select: none;
}
.header-content .header-title {
    font-size: 60px;
    font-weight: 600;
    text-align: center;
    transition: 0.25s font-size;
}
.title-line {
    display: flex;
    align-items: center;
    gap: 20px;
    width: 100%;
}
.title-line h1 {
    font-size: 22px;
    font-weight: 100;
    transition: 0.25s font-size;
    color: #FFFFFF;
    text-align: center;
    width: 100%;
}
.title-line hr {
    border: 0;
    height: 6px;
    width: 100%;
    background-color: white;
    border-radius: 15px;
    opacity: 1;
}
.header-link {
    position: absolute;
    bottom: -130px;
    left: 50%;
    transform: translateX(-50%);
    color: white;
    background-color: rgb(255, 255, 255,0.15);
    backdrop-filter: blur(10px);
    border: 2px solid white;
    text-decoration: none;
    padding: 15px;
    width: max-content;
    text-align: center;
    border-radius: 50px;
    font-size: 22px;
    transition: 0.25s background-color, 0.25s font-size, 0.25s width;
    width: 320px;
}
.header-link:hover {
    background-color: rgb(255, 255, 255,0.25);
}
.header-link:active {
    background-color: rgb(255, 255, 255,0.35);
}

/* HEADER */

/* HOTEL */

.hotel {
    padding: 100px 120px;
    padding-top: 300px;
    transition: 0.25s padding;
}
.hotel-container {
    width: 100%;
    margin: auto;
}
.hotel-container {
    width: 100%;
    height: 100%;
    background-image: url("/img/tools/background.webp");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    display: flex;
    justify-content: center;
    padding-bottom: 50px;
    border-radius: 20px;
}
.hotel-content {
    width: 850px;
    text-align: center;
    transition: 0.3s width;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.hotel-container .img-side {
    user-select: none;
    pointer-events: none;
    transform: translateY(-220px);
    height: 410px;
    transition: 0.25s;
}
.hotel-container .img-side .img-display {
    display: flex;
    gap: 20px;
}
.hotel-container .img-side img {
    width: 295px;
    height: fit-content;
    border-radius: 15px;
    opacity: 1;
    box-shadow: 0 5px 10px rgb(0,0,0,0.3);
    object-fit: cover;
}
.hotel-container .img-side .img-display.last img:last-child {
    transform: translateY(-210px);
}
.hotel-container .img-side .img-display.first {
    flex-direction: row;
}
.hotel-container .img-side .img-display.second {
    flex-direction: column;
}
.hotel-container .img-side .img-display.last {
    flex-direction: row;
}
.hotel-container .text-side {
    display: flex;
    align-items: center;
    flex-direction: column;
}
.hotel-container .text-side p {
    margin-bottom: 50px;
}
/* HOTEL */

.group-container {
    transition: 0.3s padding;
}

/* IMAGES */

.imgBoxes {
    width: 100%;
    display: flex;
    user-select: none;
}
.imgBoxes .imgBoxes-container {
    width: 100%;
    display: flex;
}
.imgBoxes .imgBoxes-content {
    width: 100%;
    aspect-ratio: 1/1;
    overflow: hidden;
    cursor: zoom-in;
}
.imgBoxes .imgBoxes-content-border {
    display: flex;
    width: 100%;
}
@media (max-width: 1340px) {
    .imgBoxes .imgBoxes-content {
        cursor: default;
    }
}
.imgBoxes-content .imgBox {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transform-origin: center;
    transition: 0.3s transform, 0.3s transform-origin;
    pointer-events: none;
}

/* IMAGES */

/* RESERVATION */

.reservation {
    padding: 0 !important;
}
.reservation-container {
    background-image: none;
    border-radius: 0;
}
.reservation-container .text-side-container {
    padding-right: 120px;
}

/* RESERVATION */

/* ACTIVITY */

.activity {
    padding: 60px 120px;
    transition: 0.3s padding;
}
.activity-container {
    background-image: url("/img/tools/background.webp");
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    display: flex;
    padding: 30px 0;
    border-radius: 20px;
}
.activity-content {
    padding: 20px 32px;
    width: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}
.activity-content:first-child {
    pointer-events: none;
    user-select: none;
}
.activity-content:first-child:after {
    content: '';
    position: absolute;
    bottom: 0;
    right: -1px;
    width: 1px;
    height: 100%;
    background-color: var(--main-color);
}
.activity-icons {
    min-width: 350px;
    max-width: 756px;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 12px;
    transition: 0.3s scale;
}

@media (max-width:1873px){
    .activity-icons {
        justify-content: center;
    }
}

.activity-icons .activity-icons-container {
    border: 1px solid #CBB779;
    border-radius: 8px;
    padding: 16px;
    width: 243px;
    height: 76px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.activity .text-side {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    width: 100%;
}
.activity .text-side p {
    margin-bottom: 2rem;
}

/* ACTIVITY */

/* RESPONSIVE */
@media (max-width: 1340px) {
    .hotel {
        padding: 60px 80px;
        padding-top: 180px;
    }
    .hotel-content {
        width: 575px;
    }
    .hotel-container .img-side {
        scale: 0.55;
        height: 320px;
    }
    .imgBoxes-content .imgBox {
        cursor: default;
        transition: 0;
    }
    .activity-icons {
        scale: 0.9;
    }
}
@media (max-width: 960px) {
    .hotel {
        padding-top: 130px;
    }
    .hotel-container .img-side {
        scale: 0.45;
        height: 280px;
    }
    .group-container {
        padding: 20px 80px;
    }
    .imgBoxes {
        flex-direction: column;
        border-radius: 20px 20px 0 0;
        overflow: hidden;
    }
    .reservation-container .text-side .title::after {
        left: 50%;
        transform: translateX(-50%);
    }
    .reservation-container .reservation-img img {
        border-radius: 0 0 20px 20px;
    }
    .reservation-container .text-side-container {
        align-items: center;
        text-align: center;
        padding: 50px 0;
    }
    .activity {
        padding: 30px;
    }
    .activity-container {
        flex-direction: column;
        padding: 30px;
        gap: 20px;
    }
    .activity-content {
        width: 100%;
    }
    .activity-content:first-child:after {
        width: 240px;
        height: 1px;
        right: 50%;
        transform: translateX(50%);
    }
    .activity-content:last-child {
        padding-bottom: 0;
    }
    .imgBoxes {
        flex-direction: column;
    }
    .imgBoxes .imgBoxes-container {
        display: flex;
        flex-direction: column;
    }
}
@media (max-width:768px) {
    .hotel {
        padding: 40px 0;
        padding-top: 160px;
    }
    .hotel-container {
        border-radius: 0;
    }
    .hotel-content {
        width: 80%;
    }
    .hotel-container .img-side {
        scale: 0.55;
        height: 320px;
    }
    .group-container {
        padding: 30px;
    }
}
@media (max-width: 720px) {
    .hotel-container .img-side {
        height: 470px;
    }
    .hotel-container .img-side .img-display.first {
        flex-direction: column;
    }
    .hotel-container .img-side .img-display.second {
        flex-direction: row;
    }
    .hotel-container .img-side .img-display.last {
        flex-direction: column;
        transform: translateY(-615px);
    }
    .hotel-container .img-side .img-display.last img:last-child {
        transform: translateY(0);
    }
}
@media (max-width: 600px) {
    .header-content .header-title {
        font-size: calc(1.5rem + 2.5vw);
    }
    .header-content .title-line h1 {
        font-size: calc(1.5rem + 2vw);
    }
    .header-link {
        width: 260px;
        font-size: 16px;
    }
}
@media (max-width: 460px) {
    .hotel-container .img-side {
        scale: 0.45;
        height: 350px;
        transform: translateY(-300px);
    }
    .activity-content {
        padding: 0;
    }
    .activity-content:first-child {
        padding: 0;
    }
    .activity-icons {
        scale: 0.75;
    }
    .activity-content:first-child:after {
        width: 100%;
    }
}
@media (max-width: 375px) {
    .header-content .header-title {
        font-size: calc(1.5rem + 1.5vw);
    }
    .header-link {
        width: 95%;
    }
    .hotel-container .img-side {
        scale: 0.35;
        height: 250px;
        transform: translateY(-450px);
    }
    .group-container,
    .activity {
        padding: 30px 15px;
    }
    .activity-icons {
        scale: 0.6;
    }
}
@media (max-width: 290px) {
    .hotel {
        padding-top: 200px;
    }
    .hotel-container .img-side {
        scale: 0.25;
        height: 130px;
        transform: translateY(-750px);
    }
    .activity-content:first-child {
        height: 150px;
    }
    .activity-icons {
        scale: 0.5;
    }
}